Get the History for a Claim
Path
GET /claims/{claimNumber}/history Request Parameters
X-Client-Global-Id
number
Client Global Id header. Used for internal communication only
X-Client-Reference
array
Client reference header. Used for internal communication only
claimNumber
required
string
claim number of the requested claim
page
integer default: 1
The current page number.
pageSize
integer default: 10
The number of items per page.
Responses
-
arrayidstringreference iddatestringyyyy-MM-ddMax length: 10date format: yyyy-MM-dddescriptionstringobjectamountnumberMax length: 12currencystringMax length: 3This reflects all relevant currencies in ISO-4217.typestringMax length: 20Enum:
- CREDIT_WAIVER
- AGENCY_PAYMENT
- DIRECT_PAYMENT
The type of the payment.arrayamountnumberMax length: 12This is a description of the transaction.allocateTostringMax length: 20Enum:- PRINCIPAL_CLAIM
- CLIENT_INTERESTS
- ACCRUED_INTERESTS
- CLIENT_COSTS
- COLLECTION_COSTS
- EXPENSES
- OVERPAYMENT
- CUSTOMER_OVERPAYMENT
The bucket to allocate the payment to. * `principalClaim` - Allocated to principal claim. * `interest` - Allocated to interest. * `fee` - Allocated to client fees. * `dunning` - Allocated to client dunning costs. * `collectionCost` - Allocated to collection cost. * `expense` - Allocated to agency expense.documentIdstringreference id of the related documentmessageIdstringreference id of the related messagetypestringEnum:- EVENT
- PAYMENT
- CONCERN
channelstringEnum:- LETTER
- PHONE
- SMS
- CHAT
The channel used for the communication.objectPagination information for the response.totalItemsrequiredintegerThe total number of items available.pageSizerequiredintegerThe number of items per page.currentPagerequiredintegerThe current page number.totalPagesrequiredintegerThe total number of pages. -
-
Request Example
null
Response Example
{
"items": [
{
"id": "string",
"date": "2024-07-23",
"type": "EVENT",
"payment": {
"amount": 0,
"currency": "str"
},
"documentId": "string",
"description": "string"
}
],
"pagination": {
"totalItems": 0
}
}